summaryrefslogtreecommitdiffstats
path: root/source/l/mozilla-nss/mozilla-nss.SlackBuild
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2012-09-26 01:10:42 +0000
committer Eric Hameleers <alien@slackware.com>2018-05-31 22:51:55 +0200
commit9664bee729d487bcc0a0bc35859f8e13d5421c75 (patch)
treeb428a16618e36ed864a8d76ea3435e19a452bf90 /source/l/mozilla-nss/mozilla-nss.SlackBuild
parent75a4a592e5ccda30715f93563d741b83e0dcf39e (diff)
downloadcurrent-9664bee729d487bcc0a0bc35859f8e13d5421c75.tar.gz
current-9664bee729d487bcc0a0bc35859f8e13d5421c75.tar.xz
Slackware 14.0slackware-14.0
Wed Sep 26 01:10:42 UTC 2012 Slackware 14.0 x86_64 stable is released! We're perfectionists here at Slackware, so this release has been a long time a-brewing. But we think you'll agree that it was worth the wait. Slackware 14.0 combines modern components, ease of use, and flexible configuration... our "KISS" philosophy demands it. The ISOs are off to be replicated, a 6 CD-ROM 32-bit set and a dual-sided 32-bit/64-bit x86/x86_64 DVD. Please consider supporting the Slackware project by picking up a copy from store.slackware.com. We're taking pre-orders now, and offer a discount if you sign up for a subscription. Thanks to everyone who helped make this happen. The Slackware team, the upstream developers, and (of course) the awesome Slackware user community. Have fun! :-)
Diffstat (limited to 'source/l/mozilla-nss/mozilla-nss.SlackBuild')
-rwxr-xr-xsource/l/mozilla-nss/mozilla-nss.SlackBuild178
1 files changed, 178 insertions, 0 deletions
diff --git a/source/l/mozilla-nss/mozilla-nss.SlackBuild b/source/l/mozilla-nss/mozilla-nss.SlackBuild
new file mode 100755
index 000000000..2bc38d082
--- /dev/null
+++ b/source/l/mozilla-nss/mozilla-nss.SlackBuild
@@ -0,0 +1,178 @@
+#!/bin/sh
+# Copyright 2005, 2006, 2008, 2009, 2010, 2012 Eric Hameleers, Eindhoven, NL
+# All rights reserved.
+#
+# Permission to use, copy, modify, and distribute this software for
+# any purpose with or without fee is hereby granted, provided that
+# the above copyright notice and this permission notice appear in all
+# copies.
+#
+# THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
+# IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
+# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
+# USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
+# ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
+# OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
+# OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+# -----------------------------------------------------------------------------
+
+PKGNAM=mozilla-nss
+SRCNAM=nss
+VERSION=${VERSION:-3.13.5}
+NSPR=${NSPR:-4.9.1}
+BUILD=${BUILD:-3}
+
+# Automatically determine the architecture we're building on:
+MARCH=$( uname -m )
+if [ -z "$ARCH" ]; then
+ case "$MARCH" in
+ i?86) export ARCH=i486 ;;
+ armv7hl) export ARCH=$MARCH ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$MARCH ;;
+ esac
+fi
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+ export USE_64=1
+elif [ "$ARCH" = "armv7hl" ]; then
+ SLKCFLAGS="-O2 -march=armv7-a -mfpu=vfpv3-d16"
+ LIBDIRSUFFIX=""
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PKGNAM
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+
+cd $TMP
+rm -rf nss-${VERSION}
+rm -rf nspr-${NSPR}
+tar xvf $CWD/nss-$VERSION.tar.?z* || exit 1
+tar xvf $CWD/nspr-$NSPR.tar.?z* || exit 1
+cd nss-$VERSION
+
+# NSS needs NSPR:
+ln -s ../../nspr-$NSPR/mozilla/nsprpub mozilla/nsprpub
+
+# Make sure ownerships and permissions are sane:
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+echo Building ...
+export LDFLAGS="-lz"
+export CFLAGS="$SLKCFLAGS"
+export CXXFLAGS="$SLKCFLAGS"
+export BUILD_OPT=1
+export NSDISTMODE="copy"
+export NSS_USE_SYSTEM_SQLITE=1
+cd mozilla/security/nss
+ make nss_build_all export
+cd -
+
+# Install all the needed stuff to the package dir:
+mkdir -p $PKG/usr/{bin,lib${LIBDIRSUFFIX},include/{nss,nspr}}
+cd mozilla/dist/$(uname -s)*
+ cp -pL bin/{certutil,cmsutil,crlutil,modutil,pk12util,shlibsign,signtool,signver,ssltap} $PKG/usr/bin/
+ cp -pL lib/* $PKG/usr/lib${LIBDIRSUFFIX}/
+ chmod 755 $PKG/usr/lib${LIBDIRSUFFIX}/*.so*
+ cp -rL include/* $PKG/usr/include/nspr/
+ cp -rpL ../public/nss/*.h $PKG/usr/include/nss/
+ # Remove some things we do not need:
+ rm -f $PKG/usr/bin/*.so
+ rm -f $PKG/usr/lib${LIBDIRSUFFIX}/*.a
+ rm -rf $PKG/usr/include/nspr/md
+ cp -L lib/libcrmf.a $PKG/usr/lib${LIBDIRSUFFIX}/ # yes, put this one back
+cd -
+
+cd mozilla/security/nss/cmd/smimetools
+ cp -a smime $PKG/usr/bin/
+ chmod 0755 $PKG/usr/bin/smime
+ sed -i -e 's#/usr/local/bin#/usr/bin#g' $PKG/usr/bin/smime
+cd -
+
+# Install nspr-config:
+cat mozilla/nsprpub/$(uname -s)*/config/nspr-config | sed -e "s,prefix=/usr/local,prefix=/usr,g" | sed -e "s,libdir=\${exec_prefix}/lib,libdir=\${exec_prefix}/lib${LIBDIRSUFFIX},g" > $PKG/usr/bin/nspr-config
+chmod 755 $PKG/usr/bin/nspr-config
+
+# Install nss-config:
+sed -e "s,@prefix@,/usr,g" \
+ -e "s,@MOD_MAJOR_VERSION@,$(printf $VERSION | cut -d. -f1),g" \
+ -e "s,@MOD_MINOR_VERSION@,$(printf $VERSION | cut -d. -f2),g" \
+ -e "s,@MOD_PATCH_VERSION@,$(printf $VERSION | cut -d. -f3),g" \
+ $CWD/nss-config.in > $PKG/usr/bin/nss-config
+chmod 755 $PKG/usr/bin/nss-config
+
+# Provide pkg-config files:
+mkdir -p $PKG/usr/lib${LIBDIRSUFFIX}/pkgconfig
+cat <<EOT > $PKG/usr/lib${LIBDIRSUFFIX}/pkgconfig/mozilla-nss.pc
+prefix=/usr
+exec_prefix=\${prefix}
+libdir=/usr/lib${LIBDIRSUFFIX}
+includedir=\${prefix}/include/nss
+
+Name: NSS
+Description: Network Security Services
+Version: $VERSION
+Requires: nspr >= $NSPR sqlite3
+Libs: -L\${libdir} -lnss3 -lsmime3 -lssl3 -lsoftokn3 -lnssutil3
+Cflags: -I\${includedir}
+EOT
+cat <<EOT > $PKG/usr/lib${LIBDIRSUFFIX}/pkgconfig/mozilla-nspr.pc
+prefix=/usr
+exec_prefix=\${prefix}
+libdir=/usr/lib${LIBDIRSUFFIX}
+includedir=\${prefix}/include/nspr
+
+Name: NSPR
+Description: The Netscape Portable Runtime
+Version: $NSPR
+Libs: -L\${libdir} -lplds4 -lplc4 -lnspr4
+Cflags: -I\${includedir}
+EOT
+
+( cd $PKG/usr/lib${LIBDIRSUFFIX}/pkgconfig
+ ln -s mozilla-nspr.pc nspr.pc
+ ln -s mozilla-nss.pc nss.pc
+)
+
+# Add documentation:
+mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
+cp -a \
+ $CWD/MPL-1.1.txt $CWD/gpl-2.0.txt $CWD/lgpl-2.1.txt \
+ $CWD/faq.html \
+ $PKG/usr/doc/$PKGNAM-$VERSION
+chown -R root:root $PKG/usr/doc/$PKGNAM-$VERSION
+
+# Strip binaries:
+find $PKG | xargs file | grep -e "executable" -e "shared object" \
+ | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+# Add a package description:
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+# Build the package:
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/${PKGNAM}-${VERSION}-${ARCH}-${BUILD}.txz
+